import 'package:flutter/services.dart';
import 'package:numkeyboard/screen/screen_api.dart';

class ScreenOrientationIosService extends ScreenOrientationService {
  MethodChannel _channel = const MethodChannel('flutter_screen_orientation');

  @override
  Future<void> init() async {
    _channel.setMethodCallHandler((call) async {
      if ("orientationCallback" == call.method && orientationCallback != null) {
        orientationCallback!(int.parse(call.arguments));
      }
      await _channel.invokeMethod('init');
    });
  }
}
